Table of Contents

Class: PortCollection | Twisted-0.17.4/twisted/coil/app.py
--- | ---

A collection of Ports; names may only be strings which represent port numbers.

Base Classes |
--- | ---
coil.ConfigCollection

Methods |
--- | ---
__init__ delEntity getEntityType getNameType getStaticEntity listStaticEntities nameConstraint reallyPutEntity
| __init__

    __init__ (
            self,
            app,
            ptype,
            )

| delEntity

    delEntity ( self,  portno )

| getEntityType

    getEntityType ( self )

| getNameType

    getNameType ( self )

| getStaticEntity

    getStaticEntity ( self,  name )

Exceptions |
--- | ---
KeyError, "No such entity %s" %( name, )

| listStaticEntities

    listStaticEntities ( self )

| nameConstraint

    nameConstraint ( self,  name )

Enter a port number.

Exceptions |
--- | ---
roots.ConstraintViolation("Not a port number: %s" % repr( name ) )

| reallyPutEntity

    reallyPutEntity (
            self,
            portno,
            factory,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0